rte_graph_cluster_node_stats(3)

NAME
rte_graph_cluster_node_stats

SYNOPSIS

#include <rte_graph.h>

  Data Fields

uint64_t ts
uint64_t calls
uint64_t objs
uint64_t cycles
uint64_t prev_ts
uint64_t prev_calls
uint64_t prev_objs
uint64_t prev_cycles
uint64_t realloc_count
uint8_t xstat_cntrs
char(* xstat_desc )[RTE_NODE_XSTAT_DESC_SIZE]
uint64_t * xstat_count
rte_node_t id
uint64_t hz
char name [RTE_NODE_NAMESIZE]

Detailed Description

Node cluster stats data structure.

See also
    struct rte_graph_cluster_stats_param::fn

Definition at line 217 of file rte_graph.h.

Field Documentation

  uint64_t ts
Current timestamp.

Definition at line 218 of file rte_graph.h.

  uint64_t calls
Current number of calls made.

Definition at line 219 of file rte_graph.h.

  uint64_t objs
Current number of objs processed.

Definition at line 220 of file rte_graph.h.

  uint64_t cycles
Current number of cycles.

Definition at line 221 of file rte_graph.h.

  uint64_t prev_ts
Previous call timestamp.

Definition at line 223 of file rte_graph.h.

  uint64_t prev_calls
Previous number of calls.

Definition at line 224 of file rte_graph.h.

  uint64_t prev_objs
Previous number of processed objs.

Definition at line 225 of file rte_graph.h.

  uint64_t prev_cycles
Previous number of cycles.

Definition at line 226 of file rte_graph.h.

  uint64_t sched_objs
Previous number of scheduled objs for dispatch model.

Definition at line 230 of file rte_graph.h.

  uint64_t sched_fail
Previous number of failed schedule objs for dispatch model.

Definition at line 232 of file rte_graph.h.

  uint64_t realloc_count
Realloc count.

Definition at line 237 of file rte_graph.h.

  uint8_t xstat_cntrs
Number of Node xstat counters.

Definition at line 239 of file rte_graph.h.

  char(* xstat_desc)[RTE_NODE_XSTAT_DESC_SIZE]
Names of the Node xstat counters.

Definition at line 240 of file rte_graph.h.

  uint64_t* xstat_count
Total stat count per each xstat.

Definition at line 241 of file rte_graph.h.

  rte_node_t id
Node identifier of stats.

Definition at line 243 of file rte_graph.h.

  uint64_t hz
Cycles per seconds.

Definition at line 244 of file rte_graph.h.

  char name[RTE_NODE_NAMESIZE]
Name of the node.

Definition at line 245 of file rte_graph.h.

Author

Generated automatically by Doxygen for DPDK from the source code.